<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>assembleMat &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>assembleMat
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">20 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">assembleMat</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine assembleMat(this, iComp)
    
    
   
</h2>
    
  


    
    <p>assembleMat assembles the matrix for the ith component of the equation in PETSc format.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E135"></span>class(<a href='../type/transporteqn.html'>transportEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-icomp"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iComp</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~assemblemat~~CallsGraph Pages: 1 -->
<svg id="procassemblematCallsGraph" width="222pt" height="242pt"
 viewBox="0.00 0.00 222.00 242.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~assemblemat~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 238)">
<title>proc~~assemblemat~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-238 218,-238 218,4 -4,4"/>
<!-- proc~assemblemat -->
<g id="proc~~assemblemat~~CallsGraph_node1" class="node">
<title>proc~assemblemat</title>
<polygon fill="none" stroke="#000000" points="76,-129 0,-129 0,-105 76,-105 76,-129"/>
<text text-anchor="middle" x="38" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">assembleMat</text>
</g>
<!-- matsetvalue -->
<g id="proc~~assemblemat~~CallsGraph_node2" class="node">
<title>matsetvalue</title>
<polygon fill="#777777" stroke="#777777" points="198,-234 128,-234 128,-210 198,-210 198,-234"/>
<text text-anchor="middle" x="163" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matsetvalue</text>
</g>
<!-- proc~assemblemat&#45;&gt;matsetvalue -->
<g id="proc~~assemblemat~~CallsGraph_edge1" class="edge">
<title>proc~assemblemat&#45;&gt;matsetvalue</title>
<path fill="none" stroke="#000000" d="M45.9587,-129.1448C58.2276,-147.0394 83.3617,-180.5719 112,-201 114.1145,-202.5083 116.3535,-203.9327 118.6668,-205.2742"/>
<polygon fill="#000000" stroke="#000000" points="117.3635,-208.5409 127.852,-210.0382 120.5865,-202.327 117.3635,-208.5409"/>
</g>
<!-- matassemblybegin -->
<g id="proc~~assemblemat~~CallsGraph_node3" class="node">
<title>matassemblybegin</title>
<polygon fill="#777777" stroke="#777777" points="214,-192 112,-192 112,-168 214,-168 214,-192"/>
<text text-anchor="middle" x="163" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matassemblybegin</text>
</g>
<!-- proc~assemblemat&#45;&gt;matassemblybegin -->
<g id="proc~~assemblemat~~CallsGraph_edge2" class="edge">
<title>proc~assemblemat&#45;&gt;matassemblybegin</title>
<path fill="none" stroke="#000000" d="M57.7357,-129.102C72.4373,-137.8939 93.143,-149.8114 112,-159 115.384,-160.6489 118.9313,-162.2867 122.512,-163.8777"/>
<polygon fill="#000000" stroke="#000000" points="121.4103,-167.214 131.9791,-167.9561 124.1798,-160.7852 121.4103,-167.214"/>
</g>
<!-- matassemblyend -->
<g id="proc~~assemblemat~~CallsGraph_node4" class="node">
<title>matassemblyend</title>
<polygon fill="#777777" stroke="#777777" points="210,-150 116,-150 116,-126 210,-126 210,-150"/>
<text text-anchor="middle" x="163" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matassemblyend</text>
</g>
<!-- proc~assemblemat&#45;&gt;matassemblyend -->
<g id="proc~~assemblemat~~CallsGraph_edge3" class="edge">
<title>proc~assemblemat&#45;&gt;matassemblyend</title>
<path fill="none" stroke="#000000" d="M76.1833,-123.4148C85.5529,-124.9889 95.7862,-126.7081 105.8343,-128.3962"/>
<polygon fill="#000000" stroke="#000000" points="105.3401,-131.8621 115.7818,-130.0673 106.4999,-124.9589 105.3401,-131.8621"/>
</g>
<!-- matsetvalues -->
<g id="proc~~assemblemat~~CallsGraph_node5" class="node">
<title>matsetvalues</title>
<polygon fill="#777777" stroke="#777777" points="201,-108 125,-108 125,-84 201,-84 201,-108"/>
<text text-anchor="middle" x="163" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matsetvalues</text>
</g>
<!-- proc~assemblemat&#45;&gt;matsetvalues -->
<g id="proc~~assemblemat~~CallsGraph_edge4" class="edge">
<title>proc~assemblemat&#45;&gt;matsetvalues</title>
<path fill="none" stroke="#000000" d="M76.1833,-110.5852C88.307,-108.5484 101.8769,-106.2687 114.6203,-104.1278"/>
<polygon fill="#000000" stroke="#000000" points="115.3379,-107.5564 124.6198,-102.4479 114.1781,-100.6531 115.3379,-107.5564"/>
</g>
<!-- auxnb -->
<g id="proc~~assemblemat~~CallsGraph_node6" class="node">
<title>auxnb</title>
<polygon fill="#777777" stroke="#777777" points="190,-66 136,-66 136,-42 190,-42 190,-66"/>
<text text-anchor="middle" x="163" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">auxnb</text>
</g>
<!-- proc~assemblemat&#45;&gt;auxnb -->
<g id="proc~~assemblemat~~CallsGraph_edge5" class="edge">
<title>proc~assemblemat&#45;&gt;auxnb</title>
<path fill="none" stroke="#000000" d="M57.7357,-104.898C72.4373,-96.1061 93.143,-84.1886 112,-75 116.6684,-72.7252 121.6478,-70.4717 126.5968,-68.3326"/>
<polygon fill="#000000" stroke="#000000" points="128.1251,-71.4869 135.9868,-64.3845 125.4119,-65.0341 128.1251,-71.4869"/>
</g>
<!-- matzeroentries -->
<g id="proc~~assemblemat~~CallsGraph_node7" class="node">
<title>matzeroentries</title>
<polygon fill="#777777" stroke="#777777" points="205,-24 121,-24 121,0 205,0 205,-24"/>
<text text-anchor="middle" x="163" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matzeroentries</text>
</g>
<!-- proc~assemblemat&#45;&gt;matzeroentries -->
<g id="proc~~assemblemat~~CallsGraph_edge6" class="edge">
<title>proc~assemblemat&#45;&gt;matzeroentries</title>
<path fill="none" stroke="#000000" d="M45.9587,-104.8552C58.2276,-86.9606 83.3617,-53.4281 112,-33 114.0804,-31.516 116.2813,-30.1132 118.555,-28.7908"/>
<polygon fill="#000000" stroke="#000000" points="120.3325,-31.8113 127.5842,-24.087 117.0984,-25.6032 120.3325,-31.8113"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>